Skip to main content

Create Databricks Instance​

This API is used to create a databricks instance

Request Body

Creating databricks instance

  • dataAccessNodes object
  • dataAccessNodes object[]
  • clientId integer

    ID of the access node

  • clientName string required

    Name of the access node

  • dataAccessNodeGroups object[]
  • clientGroupId integer

    ID of the access node group

  • clientGroupName string required

    Name of the access node group

  • plan object
  • planName string required

    Name of the plan to be associated with the instance

  • clientName object
  • clientName string required

    Name of the databricks instance

  • databricksConfig object
  • accountID string required

    ID of the databricks account

  • accountName string required

    Name of the databricks instance

  • clientIdSecret object
  • credentialId integer

    ID of the databricks service principal credential

  • credentialName string required

    Name of the databricks service principal credential

  • vendor string required

    Databricks Vendor

  • automaticMetastoreBackupEnable boolean required
  • metastores object[]
  • name string required

    Name of the metastore

  • id string required

    ID of the metastore

  • region string required

    Region of the metastore

  • storageAccountName string required

    Name of the storage account to be associated with the metastore

  • databricksWorkspaceSQLWarehouseMappingList object
  • databricksWorkspaceSQLWarehouseMappingList object[]
  • workspaceName string required

    Name of the workspace to be mapped with the metastore

  • workspaceId string required

    ID of the workspace to be mapped with the metastore

  • sqlWarehouseName string required

    Name of the SQL warehouse to be associated with this workspace

  • sqlWarehouseId string required

    ID of the SQL warehouse to be associated with this workspace

  • staging object
  • recordType integer

    type 4 for azure staging

  • stagingCredentials object
  • credentialId integer

    ID of the azure app credential

  • credentialName string required

    Name of the azure app credential

  • description string

    description of the staging credentials

  • recordType integer

    type 4 for azure staging

  • selected boolean

    true for selected.

  • stagingPath string

    Staging path where the data needs to be staged during backups and restores.

  • stagingType integer

    type 1 for azure staging

  • aiAppInstanceType integer required

    Type of AI App. 23 for databricks.

  • regionInfo object
Responses

OK


Schema
  • processinginstructioninfo object
  • attributes object[]
  • name string
  • value string
  • response object
  • errorCode integer
  • entity object
  • clientId integer
  • _SubclType_ integer
  • clientName string
  • instanceId integer
  • _type_ integer
Loading...